Bug 1255482 - [abrt] evolution-data-server: g_type_check_instance_is_fundamentally_a(): evolution-calendar-factory killed by SIGSEGV
[abrt] evolution-data-server: g_type_check_instance_is_fundamentally_a(): evo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:528d6d21fa236f73c3c173dda33...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 13:29 EDT by Ilya Gradina
Modified: 2016-12-20 09:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:26:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.13 KB, text/plain)
2015-08-20 13:29 EDT, Ilya Gradina
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-20 13:29 EDT, Ilya Gradina
no flags Details
File: core_backtrace (15.97 KB, text/plain)
2015-08-20 13:29 EDT, Ilya Gradina
no flags Details
File: dso_list (19.11 KB, text/plain)
2015-08-20 13:29 EDT, Ilya Gradina
no flags Details
File: environ (914 bytes, text/plain)
2015-08-20 13:29 EDT, Ilya Gradina
no flags Details
File: exploitable (82 bytes, text/plain)
2015-08-20 13:29 EDT, Ilya Gradina
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-20 13:29 EDT, Ilya Gradina
no flags Details
File: maps (87.92 KB, text/plain)
2015-08-20 13:29 EDT, Ilya Gradina
no flags Details
File: mountinfo (3.60 KB, text/plain)
2015-08-20 13:29 EDT, Ilya Gradina
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-20 13:29 EDT, Ilya Gradina
no flags Details
File: open_fds (546 bytes, text/plain)
2015-08-20 13:29 EDT, Ilya Gradina
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-08-20 13:29 EDT, Ilya Gradina
no flags Details

  None (edit)
Description Ilya Gradina 2015-08-20 13:29:08 EDT
Version-Release number of selected component:
evolution-data-server-3.17.4-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/libexec/evolution-calendar-factory
global_pid:     2521
kernel:         4.2.0-0.rc6.git0.2.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4028
 #1 g_object_ref at gobject.c:3040
 #2 data_factory_connections_add at e-data-factory.c:512
 #3 data_factory_call_subprocess_backend_create_sync at e-data-factory.c:544
 #4 data_factory_spawn_subprocess_backend at e-data-factory.c:1230
 #5 data_factory_spawn_subprocess_backend_in_thread at e-data-factory.c:1337
 #6 g_thread_proxy at gthread.c:764
Comment 1 Ilya Gradina 2015-08-20 13:29:12 EDT
Created attachment 1065337 [details]
File: backtrace
Comment 2 Ilya Gradina 2015-08-20 13:29:13 EDT
Created attachment 1065338 [details]
File: cgroup
Comment 3 Ilya Gradina 2015-08-20 13:29:15 EDT
Created attachment 1065339 [details]
File: core_backtrace
Comment 4 Ilya Gradina 2015-08-20 13:29:16 EDT
Created attachment 1065340 [details]
File: dso_list
Comment 5 Ilya Gradina 2015-08-20 13:29:17 EDT
Created attachment 1065341 [details]
File: environ
Comment 6 Ilya Gradina 2015-08-20 13:29:19 EDT
Created attachment 1065342 [details]
File: exploitable
Comment 7 Ilya Gradina 2015-08-20 13:29:20 EDT
Created attachment 1065343 [details]
File: limits
Comment 8 Ilya Gradina 2015-08-20 13:29:22 EDT
Created attachment 1065344 [details]
File: maps
Comment 9 Ilya Gradina 2015-08-20 13:29:23 EDT
Created attachment 1065345 [details]
File: mountinfo
Comment 10 Ilya Gradina 2015-08-20 13:29:25 EDT
Created attachment 1065346 [details]
File: namespaces
Comment 11 Ilya Gradina 2015-08-20 13:29:26 EDT
Created attachment 1065347 [details]
File: open_fds
Comment 12 Ilya Gradina 2015-08-20 13:29:27 EDT
Created attachment 1065348 [details]
File: proc_pid_status
Comment 13 Milan Crha 2015-08-21 02:34:25 EDT
Thanks for a bug rpeort. The backtrace shows that the crash happened when the On This Computer/Personal memo list had been opened, though it seems like some memory corruption got involved and the code crashed. As these things can be related to some use-after-free issues, then the memo list opening might not have any direct connection to the place of the real issue.

Do you have any idea what could happen before the crash, please?
Comment 14 Fedora End Of Life 2016-11-24 07:21:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 09:26:44 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.